Project Chrono: chrono::sensor::ChFilterOptixRender Class Reference

Public Member Functions | Friends | List of all members
chrono::sensor::ChFilterOptixRender Class Reference
SENSOR module » Sensor Filters

## Description

A filter that generates data for a ChOptixSensor.

`#include <ChFilterOptixRender.h>`

Inheritance diagram for chrono::sensor::ChFilterOptixRender:
[legend]
Collaboration diagram for chrono::sensor::ChFilterOptixRender:
[legend]

## Public Member Functions
| ChFilterOptixRender ()
| Class constructor.
virtual void | Apply ()
| Apply function. Generates data for ChOptixSensors.
virtual void | Initialize (std::shared_ptr< ChSensor > pSensor, std::shared_ptr< SensorBuffer > &bufferInOut)
| Initializes all data needed by the filter access apply function.
Public Member Functions inherited from chrono::sensor::ChFilter
virtual | ~ChFilter ()
| Virtual class desctructor.
std::string & | Name ()
| Accesses the name of the filter.

## Friends
class | ChOptixEngine
| ChOptixEngine is allowed to set and use the private members.

## Additional Inherited Members
Protected Member Functions inherited from chrono::sensor::ChFilter
| ChFilter (std::string name)
| protected constructor for the filter which requires a name as input.
void | InvalidFilterGraphNullBuffer (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: null buffer found.
void | InvalidFilterGraphBufferTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.
void | InvalidFilterGraphSensorTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.

## Member Function Documentation

## ◆ Apply()

CH_SENSOR_API void chrono::sensor::ChFilterOptixRender::Apply | ( |  | ) |
| virtual

Apply function. Generates data for ChOptixSensors.

Implements chrono::sensor::ChFilter.

## ◆ Initialize()

CH_SENSOR_API void chrono::sensor::ChFilterOptixRender::Initialize | ( | std::shared_ptr< ChSensor > | pSensor,
|  | std::shared_ptr< SensorBuffer > & | bufferInOut )
| virtual

Initializes all data needed by the filter access apply function.

Parameters

  pSensor | A pointer to the sensor.
  bufferInOut | A pointer to the process buffer

Implements chrono::sensor::ChFilter.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/optix/ChFilterOptixRender.h
- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/optix/ChFilterOptixRender.cpp